wibble::operators Namespace Reference

## Functions

template<typename T >
T | operator+ (const T &i, typename T::difference_type o)
template<typename T >
std::set< T > | operator& (const std::set< T > &a, const std::set< T > &b)
template<typename T >
std::set< T > | operator& (const std::set< T > &a, const T &b)
template<typename T >
std::set< T > | operator| (const std::set< T > &a, const T &item)
template<typename T >
std::set< T > | operator| (const std::set< T > &a, const wibble::Empty< T > &)
template<typename T >
std::set< T > | operator| (const std::set< T > &a, const wibble::Singleton< T > &item)
template<typename T >
std::set< T > | operator| (const std::set< T > &a, const std::set< T > &b)
template<typename T >
std::set< T > | operator- (const std::set< T > &a, const std::set< T > &b)
template<typename T >
std::set< T > | operator- (const std::set< T > &a, const T &item)
template<typename T >
std::set< T > | operator- (const std::set< T > &a, const wibble::Singleton< T > &item)
template<typename T >
std::set< T > | operator- (const std::set< T > &a, const wibble::Empty< T > &)
template<typename T >
std::set< T > & | operator|= (std::set< T > &a, const wibble::Empty< T > &)
template<typename T >
std::set< T > & | operator|= (std::set< T > &a, const T &item)
template<typename T , typename SEQ >
std::set< T > & | operator|= (std::set< T > &a, const SEQ &items)
template<typename T >
std::set< T > & | operator|= (std::set< T > &a, const std::set< T > &b)
template<typename T , typename SEQ >
std::set< T > & | operator&= (std::set< T > &a, const SEQ &b)
template<typename T >
std::set< T > & | operator-= (std::set< T > &a, const wibble::Empty< T > &)
template<typename T >
std::set< T > & | operator-= (std::set< T > &a, const T &item)
template<typename T >
std::set< T > & | operator-= (std::set< T > &a, const wibble::Singleton< T > &item)
template<typename T , typename SEQ >
std::set< T > & | operator-= (std::set< T > &a, const SEQ &b)
template<typename T >
bool | operator<= (const T &a, const std::set< T > &b)
template<typename T >
bool | operator<= (const std::set< T > &a, const std::set< T > &b)

## Function Documentation

## operator&() [1/2]

template<typename T >

std::set< T > wibble::operators::operator & | ( | const std::set< T > & | a,
|  | const std::set< T > & | b
| ) |  |

## operator&() [2/2]

template<typename T >

std::set< T > wibble::operators::operator & | ( | const std::set< T > & | a,
|  | const T & | b
| ) |  |

## operator&=()

template<typename T , typename SEQ >

std::set< T >& wibble::operators::operator &= | ( | std::set< T > & | a,
|  | const SEQ & | b
| ) |  |

References wibble::iterator().

## operator+()

template<typename T >

T wibble::operators::operator+ | ( | const T & | i,
|  | typename T::difference_type | o
| ) |  |

## operator-() [1/4]

template<typename T >

std::set< T > wibble::operators::operator- | ( | const std::set< T > & | a,
|  | const std::set< T > & | b
| ) |  |

## operator-() [2/4]

template<typename T >

std::set< T > wibble::operators::operator- | ( | const std::set< T > & | a,
|  | const T & | item
| ) |  |

## operator-() [3/4]

template<typename T >

std::set< T > wibble::operators::operator- | ( | const std::set< T > & | a,
|  | const wibble::Singleton< T > & | item
| ) |  |

References wibble::Singleton< T >::begin().

## operator-() [4/4]

template<typename T >

std::set< T > wibble::operators::operator- | ( | const std::set< T > & | a,
|  | const wibble::Empty< T > & |
| ) |  |

## operator-=() [1/4]

template<typename T >

std::set< T >& wibble::operators::operator-= | ( | std::set< T > & | a,
|  | const wibble::Empty< T > & |
| ) |  |

## operator-=() [2/4]

template<typename T >

std::set< T >& wibble::operators::operator-= | ( | std::set< T > & | a,
|  | const T & | item
| ) |  |

## operator-=() [3/4]

template<typename T >

std::set< T >& wibble::operators::operator-= | ( | std::set< T > & | a,
|  | const wibble::Singleton< T > & | item
| ) |  |

References wibble::Singleton< T >::begin().

## operator-=() [4/4]

template<typename T , typename SEQ >

std::set< T >& wibble::operators::operator-= | ( | std::set< T > & | a,
|  | const SEQ & | b
| ) |  |

References wibble::iterator().

## operator<=() [1/2]

template<typename T >

bool wibble::operators::operator<= | ( | const T & | a,
|  | const std::set< T > & | b
| ) |  |

## operator<=() [2/2]

template<typename T >

bool wibble::operators::operator<= | ( | const std::set< T > & | a,
|  | const std::set< T > & | b
| ) |  |

## operator|() [1/4]

template<typename T >

std::set< T > wibble::operators::operator| | ( | const std::set< T > & | a,
|  | const T & | item
| ) |  |

## operator|() [2/4]

template<typename T >

std::set< T > wibble::operators::operator| | ( | const std::set< T > & | a,
|  | const wibble::Empty< T > & |
| ) |  |

## operator|() [3/4]

template<typename T >

std::set< T > wibble::operators::operator| | ( | const std::set< T > & | a,
|  | const wibble::Singleton< T > & | item
| ) |  |

References wibble::Singleton< T >::begin().

## operator|() [4/4]

template<typename T >

std::set< T > wibble::operators::operator| | ( | const std::set< T > & | a,
|  | const std::set< T > & | b
| ) |  |

## operator|=() [1/4]

template<typename T >

std::set< T >& wibble::operators::operator|= | ( | std::set< T > & | a,
|  | const wibble::Empty< T > & |
| ) |  |

## operator|=() [2/4]

template<typename T >

std::set< T >& wibble::operators::operator|= | ( | std::set< T > & | a,
|  | const T & | item
| ) |  |

## operator|=() [3/4]

template<typename T , typename SEQ >

std::set< T >& wibble::operators::operator|= | ( | std::set< T > & | a,
|  | const SEQ & | items
| ) |  |

## operator|=() [4/4]

template<typename T >

std::set< T >& wibble::operators::operator|= | ( | std::set< T > & | a,
|  | const std::set< T > & | b
| ) |  |